Name: hevea
Version: 1.06
Release: alt1

Group: Publishing
Summary: A fast and powerful LaTeX to HTML translator
License: QPL
Url: http://para.inria.fr/~maranget/hevea

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/distri/%name-%version.tar.bz2

Patch: %name-1.06-deb-+png.patch
Patch1: %name-1.06-deb-makefile.patch
PreReq: tetex

# Automatically added by buildreq on Thu Nov 20 2003
BuildRequires: libncurses-devel ocaml-runtime
BuildRequires: ocaml >= 3.07

%description
HeVeA is a LaTeX to HTML translator. Its remarkable features are
- It produces good output. By default (can be turned off) it uses the
symbol face for math symbols. Either way it usually avoids generating
zillions of picture files.
- It is highly configurable through (La)TeX macros. Though aimed at
LaTeX input it understands a fair subset of TeX' macro language.
- It runs fast.
This version of HeVeA is patched to generate by default PNG picture
files instead of GIF.

%define _compress_method skip
%define target TARGET=byte

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%make_build \
    %target \
    BINDIR=%_bindir \
    LIBDIR=%_libdir/%name \
    TEXDIR=%_datadir/texmf/tex/latex/misc

%install
%__mkdir_p %buildroot{%_bindir,%_libdir/%name,%_datadir/texmf/tex/latex/misc}
%make_install install \
    %target \
    LIBDIR=%buildroot%_libdir/%name \
    BINDIR=%buildroot%_bindir \
    TEXDIR=%buildroot%_datadir/texmf/tex/latex/misc

%__mkdir_p %buildroot%_man1dir
%__cp debian/*.1 %buildroot%_man1dir/
%__gzip %buildroot%_man1dir/*.1

find %buildroot%_datadir -type f \! -name \*.exe -print0 |
	xargs -r0 chmod a-x

%post
%_bindir/mktexlsr ||:

%postun
%_bindir/mktexlsr ||:

%files
%_bindir/*
%_libdir/%name
%_datadir/texmf/*/*/*/*
%doc README CHANGES LICENSE pub.txt
%_man1dir/*

%changelog
* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.06-alt1
- new version

* Wed Oct 15 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.05-alt5b
- dirty workaround - build a bytecode version

* Wed Oct 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.05-alt5
- Rebuild to move to the files.

* Wed Mar 13 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.05-alt4
- Fixed %%files section.

* Mon Nov 19 2001 Stanislav Ievlev <inger@altlinux.ru> 1.05-alt3
- small cleanups

* Thu Nov 16 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.05-alt2
- Added requires - tetex. 
- Added _compress_method skip (brp-compress compress .hva files
  in info directory.) 
- Cleanup spec.
* Tue Nov 13 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.05-alt1
- First build for Sisyphus. PNG-patch, description, manpages
  from Debian package - hevea_1.05-6+png_i386.deb
